Package org.eclipse.swt.ole.win32

## Class OleFrame

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - org.eclipse.swt.ole.win32.OleFrame

All Implemented Interfaces:
  `Drawable`

    public final class OleFrame
    extends Composite

OleFrame is an OLE Container's top level frame.

This object implements the OLE Interfaces IUnknown and IOleInPlaceFrame

OleFrame allows the container to do the following:

- position and size the ActiveX Control or OLE Document within the application
- insert menu items from the application into the OLE Document's menu
- activate and deactivate the OLE Document's menus
- position the OLE Document's menu in the application
- translate accelerator keystrokes intended for the container's frame

Styles
  BORDER
Events
  Dispose, Move, Resize

See Also:
  OLE and ActiveX snippets, SWT Examples: OLEExample, OleWebBrowser

### Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Control

`handle`

### Constructor Summary

Constructors
`OleFrame​(Composite parent, int style)` Create an OleFrame child widget using style bits to select a particular look or set of properties.

### Method Summary

All Methods Instance Methods Concrete Methods
`MenuItem[]` `getContainerMenus()` Returns the application menu items that will appear in the Container location when an OLE Document is in-place activated.
`MenuItem[]` `getFileMenus()` Returns the application menu items that will appear in the File location when an OLE Document is in-place activated.
`MenuItem[]` `getWindowMenus()` Returns the application menu items that will appear in the Window location when an OLE Document is in-place activated.
`void` `setContainerMenus​(MenuItem[] containerMenus)` Specify the menu items that should appear in the Container location when an OLE Document is in-place activated.
`void` `setFileMenus​(MenuItem[] fileMenus)` Specify the menu items that should appear in the File location when an OLE Document is in-place activated.
`void` `setWindowMenus​(MenuItem[] windowMenus)` Set the menu items that should appear in the Window location when an OLE Document is in-place activated.

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.graphics.Drawable

`isAutoScalable`

### Constructor Detail

#### OleFrame

    public OleFrame​(Composite parent,
                    int style)

Create an OleFrame child widget using style bits to select a particular look or set of properties.

Parameters:
  `parent` - a composite widget (cannot be null)
  `style` - the bitwise OR'ing of widget styles
Throws:
  `IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT when the parent is null
  `SWTException` -
  - ERROR_THREAD_INVALID_ACCESS when called from the wrong thread

### Method Detail

#### getContainerMenus

    public MenuItem[] getContainerMenus()

Returns the application menu items that will appear in the Container location when an OLE Document is in-place activated.

When an OLE Document is in-place active, the Document provides its own menus but the application is given the opportunity to merge some of its menus into the menubar. The application is allowed to insert its menus in three locations: File (far left), Container(middle) and Window (far right just before Help). The OLE Document retains control of the Edit, Object and Help menu locations. Note that an application can insert more than one menu into a single location.

Returns:
  the application menu items that will appear in the Container location when an OLE Document is in-place activated.

#### getFileMenus

    public MenuItem[] getFileMenus()

Returns the application menu items that will appear in the File location when an OLE Document is in-place activated.

When an OLE Document is in-place active, the Document provides its own menus but the application is given the opportunity to merge some of its menus into the menubar. The application is allowed to insert its menus in three locations: File (far left), Container(middle) and Window (far right just before Help). The OLE Document retains control of the Edit, Object and Help menu locations. Note that an application can insert more than one menu into a single location.

Returns:
  the application menu items that will appear in the File location when an OLE Document is in-place activated.

#### getWindowMenus

    public MenuItem[] getWindowMenus()

Returns the application menu items that will appear in the Window location when an OLE Document is in-place activated.

When an OLE Document is in-place active, the Document provides its own menus but the application is given the opportunity to merge some of its menus into the menubar. The application is allowed to insert its menus in three locations: File (far left), Container(middle) and Window (far right just before Help). The OLE Document retains control of the Edit, Object and Help menu locations. Note that an application can insert more than one menu into a single location.

Returns:
  the application menu items that will appear in the Window location when an OLE Document is in-place activated.

#### setContainerMenus

    public void setContainerMenus​(MenuItem[] containerMenus)

Specify the menu items that should appear in the Container location when an OLE Document is in-place activated.

When an OLE Document is in-place active, the Document provides its own menus but the application is given the opportunity to merge some of its menus into the menubar. The application is allowed to insert its menus in three locations: File (far left), Container(middle) and Window (far right just before Help). The OLE Document retains control of the Edit, Object and Help menu locations. Note that an application can insert more than one menu into a single location.

This method must be called before in place activation of the OLE Document. After the Document is activated, the menu bar will not be modified until a subsequent activation.

Parameters:
  `containerMenus` - an array of top level MenuItems to be inserted into the Container location of the menubar

#### setFileMenus

    public void setFileMenus​(MenuItem[] fileMenus)

Specify the menu items that should appear in the File location when an OLE Document is in-place activated.

When an OLE Document is in-place active, the Document provides its own menus but the application is given the opportunity to merge some of its menus into the menubar. The application is allowed to insert its menus in three locations: File (far left), Container(middle) and Window (far right just before Help). The OLE Document retains control of the Edit, Object and Help menu locations. Note that an application can insert more than one menu into a single location.

This method must be called before in place activation of the OLE Document. After the Document is activated, the menu bar will not be modified until a subsequent activation.

Parameters:
  `fileMenus` - an array of top level MenuItems to be inserted into the File location of the menubar

#### setWindowMenus

    public void setWindowMenus​(MenuItem[] windowMenus)

Set the menu items that should appear in the Window location when an OLE Document is in-place activated.

When an OLE Document is in-place active, the Document provides its own menus but the application is given the opportunity to merge some of its menus into the menubar. The application is allowed to insert its menus in three locations: File (far left), Container(middle) and Window (far right just before Help). The OLE Document retains control of the Edit, Object and Help menu locations. Note that an application can insert more than one menu into a single location.

This method must be called before in place activation of the OLE Document. After the Document is activated, the menu bar will not be modified until a subsequent activation.

Parameters:
  `windowMenus` - an array of top level MenuItems to be inserted into the Window location of the menubar